"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Analyzer = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * The AWS::AccessAnalyzer::Analyzer type specifies an analyzer of the user's account
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const analyzer = new aws_native.accessanalyzer.Analyzer("analyzer", {
 *     analyzerName: "DevAccountAnalyzer",
 *     archiveRules: [
 *         {
 *             filter: [{
 *                 eq: ["123456789012"],
 *                 property: "principal.AWS",
 *             }],
 *             ruleName: "ArchiveTrustedAccountAccess",
 *         },
 *         {
 *             filter: [{
 *                 contains: [
 *                     "arn:aws:s3:::docs-bucket",
 *                     "arn:aws:s3:::clients-bucket",
 *                 ],
 *                 property: "resource",
 *             }],
 *             ruleName: "ArchivePublicS3BucketsAccess",
 *         },
 *     ],
 *     tags: [{
 *         key: "Kind",
 *         value: "Dev",
 *     }],
 *     type: "ACCOUNT",
 * });
 *
 * ```
 */
class Analyzer extends pulumi.CustomResource {
    /**
     * Get an existing Analyzer resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Analyzer(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Analyzer.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Analyzer.__pulumiType;
    }
    /**
     * Create a Analyzer resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.type === undefined) && !opts.urn) {
                throw new Error("Missing required property 'type'");
            }
            resourceInputs["analyzerConfiguration"] = args ? args.analyzerConfiguration : undefined;
            resourceInputs["analyzerName"] = args ? args.analyzerName : undefined;
            resourceInputs["archiveRules"] = args ? args.archiveRules : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["type"] = args ? args.type : undefined;
            resourceInputs["arn"] = undefined /*out*/;
        }
        else {
            resourceInputs["analyzerConfiguration"] = undefined /*out*/;
            resourceInputs["analyzerName"] = undefined /*out*/;
            resourceInputs["archiveRules"] = undefined /*out*/;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["type"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["analyzerName", "type"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Analyzer.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Analyzer = Analyzer;
/** @internal */
Analyzer.__pulumiType = 'aws-native:accessanalyzer:Analyzer';
//# sourceMappingURL=analyzer.js.map