import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS:AppIntegrations::Application
 */
export declare function getApplication(args: GetApplicationArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationResult>;
export interface GetApplicationArgs {
    /**
     * The Amazon Resource Name (ARN) of the application.
     */
    applicationArn: string;
}
export interface GetApplicationResult {
    /**
     * The Amazon Resource Name (ARN) of the application.
     */
    readonly applicationArn?: string;
    /**
     * Application source config
     */
    readonly applicationSourceConfig?: outputs.appintegrations.ApplicationSourceConfigProperties;
    /**
     * The application description.
     */
    readonly description?: string;
    /**
     * The id of the application.
     */
    readonly id?: string;
    /**
     * The name of the application.
     */
    readonly name?: string;
    /**
     * The namespace of the application.
     */
    readonly namespace?: string;
    /**
     * The configuration of events or requests that the application has access to.
     */
    readonly permissions?: string[];
    /**
     * The tags (keys and values) associated with the application.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS:AppIntegrations::Application
 */
export declare function getApplicationOutput(args: GetApplicationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApplicationResult>;
export interface GetApplicationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the application.
     */
    applicationArn: pulumi.Input<string>;
}
