"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Keyspace = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource schema for AWS::Cassandra::Keyspace
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myNewKeyspace = new aws_native.cassandra.Keyspace("myNewKeyspace", {
 *     keyspaceName: "MyNewKeyspace",
 *     tags: [
 *         {
 *             key: "tag1",
 *             value: "val1",
 *         },
 *         {
 *             key: "tag2",
 *             value: "val2",
 *         },
 *     ],
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const multiRegionKeyspace = new aws_native.cassandra.Keyspace("multiRegionKeyspace", {
 *     keyspaceName: "MultiRegionKeyspace",
 *     replicationSpecification: {
 *         replicationStrategy: aws_native.cassandra.KeyspaceReplicationSpecificationReplicationStrategy.MultiRegion,
 *         regionList: [
 *             aws_native.cassandra.KeyspaceRegionListItem.UsEast1,
 *             aws_native.cassandra.KeyspaceRegionListItem.UsWest2,
 *             aws_native.cassandra.KeyspaceRegionListItem.EuWest1,
 *         ],
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const multiRegionKeyspace = new aws_native.cassandra.Keyspace("multiRegionKeyspace", {
 *     keyspaceName: "MultiRegionKeyspace",
 *     replicationSpecification: {
 *         replicationStrategy: aws_native.cassandra.KeyspaceReplicationSpecificationReplicationStrategy.MultiRegion,
 *         regionList: [
 *             aws_native.cassandra.KeyspaceRegionListItem.UsEast1,
 *             aws_native.cassandra.KeyspaceRegionListItem.UsWest2,
 *             aws_native.cassandra.KeyspaceRegionListItem.EuWest1,
 *         ],
 *     },
 * });
 *
 * ```
 */
class Keyspace extends pulumi.CustomResource {
    /**
     * Get an existing Keyspace resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Keyspace(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Keyspace.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Keyspace.__pulumiType;
    }
    /**
     * Create a Keyspace resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            resourceInputs["clientSideTimestampsEnabled"] = args ? args.clientSideTimestampsEnabled : undefined;
            resourceInputs["keyspaceName"] = args ? args.keyspaceName : undefined;
            resourceInputs["replicationSpecification"] = args ? args.replicationSpecification : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
        }
        else {
            resourceInputs["clientSideTimestampsEnabled"] = undefined /*out*/;
            resourceInputs["keyspaceName"] = undefined /*out*/;
            resourceInputs["replicationSpecification"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["keyspaceName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Keyspace.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Keyspace = Keyspace;
/** @internal */
Keyspace.__pulumiType = 'aws-native:cassandra:Keyspace';
//# sourceMappingURL=keyspace.js.map