"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.MonitoringSubscription = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * A monitoring subscription. This structure contains information about whether additional CloudWatch metrics are enabled for a given CloudFront distribution.
 */
class MonitoringSubscription extends pulumi.CustomResource {
    /**
     * Get an existing MonitoringSubscription resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new MonitoringSubscription(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of MonitoringSubscription.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === MonitoringSubscription.__pulumiType;
    }
    /**
     * Create a MonitoringSubscription resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.distributionId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'distributionId'");
            }
            if ((!args || args.monitoringSubscription === undefined) && !opts.urn) {
                throw new Error("Missing required property 'monitoringSubscription'");
            }
            resourceInputs["distributionId"] = args ? args.distributionId : undefined;
            resourceInputs["monitoringSubscription"] = args ? args.monitoringSubscription : undefined;
        }
        else {
            resourceInputs["distributionId"] = undefined /*out*/;
            resourceInputs["monitoringSubscription"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["distributionId"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(MonitoringSubscription.__pulumiType, name, resourceInputs, opts);
    }
}
exports.MonitoringSubscription = MonitoringSubscription;
/** @internal */
MonitoringSubscription.__pulumiType = 'aws-native:cloudfront:MonitoringSubscription';
//# sourceMappingURL=monitoringSubscription.js.map