"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.HoursOfOperation = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::Connect::HoursOfOperation
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hoursOfOperation = new aws_native.connect.HoursOfOperation("hoursOfOperation", {
 *     name: "ExampleHoursOfOperation",
 *     description: "hours of operation created using cfn",
 *     instanceArn: "arn:aws:connect:region-name:aws-account-id:instance/instance-arn",
 *     timeZone: "Pacific/Midway",
 *     config: [{
 *         day: aws_native.connect.HoursOfOperationConfigDay.Sunday,
 *         endTime: {
 *             hours: 11,
 *             minutes: 59,
 *         },
 *         startTime: {
 *             hours: 10,
 *             minutes: 1,
 *         },
 *     }],
 *     tags: [{
 *         key: "tagKey",
 *         value: "tagValue",
 *     }],
 * });
 *
 * ```
 */
class HoursOfOperation extends pulumi.CustomResource {
    /**
     * Get an existing HoursOfOperation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new HoursOfOperation(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of HoursOfOperation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === HoursOfOperation.__pulumiType;
    }
    /**
     * Create a HoursOfOperation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.config === undefined) && !opts.urn) {
                throw new Error("Missing required property 'config'");
            }
            if ((!args || args.instanceArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'instanceArn'");
            }
            if ((!args || args.timeZone === undefined) && !opts.urn) {
                throw new Error("Missing required property 'timeZone'");
            }
            resourceInputs["config"] = args ? args.config : undefined;
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["hoursOfOperationOverrides"] = args ? args.hoursOfOperationOverrides : undefined;
            resourceInputs["instanceArn"] = args ? args.instanceArn : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["timeZone"] = args ? args.timeZone : undefined;
            resourceInputs["hoursOfOperationArn"] = undefined /*out*/;
        }
        else {
            resourceInputs["config"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["hoursOfOperationArn"] = undefined /*out*/;
            resourceInputs["hoursOfOperationOverrides"] = undefined /*out*/;
            resourceInputs["instanceArn"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["timeZone"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(HoursOfOperation.__pulumiType, name, resourceInputs, opts);
    }
}
exports.HoursOfOperation = HoursOfOperation;
/** @internal */
HoursOfOperation.__pulumiType = 'aws-native:connect:HoursOfOperation';
//# sourceMappingURL=hoursOfOperation.js.map