import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::ConnectCampaigns::Campaign Resource Type
 */
export declare function getCampaign(args: GetCampaignArgs, opts?: pulumi.InvokeOptions): Promise<GetCampaignResult>;
export interface GetCampaignArgs {
    /**
     * Amazon Connect Campaign Arn
     */
    arn: string;
}
export interface GetCampaignResult {
    /**
     * Amazon Connect Campaign Arn
     */
    readonly arn?: string;
    /**
     * Contains information about the dialer configuration.
     */
    readonly dialerConfig?: outputs.connectcampaigns.CampaignDialerConfig;
    /**
     * Amazon Connect Campaign Name
     */
    readonly name?: string;
    /**
     * Contains information about the outbound call configuration.
     */
    readonly outboundCallConfig?: outputs.connectcampaigns.CampaignOutboundCallConfig;
    /**
     * One or more tags.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::ConnectCampaigns::Campaign Resource Type
 */
export declare function getCampaignOutput(args: GetCampaignOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCampaignResult>;
export interface GetCampaignOutputArgs {
    /**
     * Amazon Connect Campaign Arn
     */
    arn: pulumi.Input<string>;
}
