"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnabledControl = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Enables a control on a specified target.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myExampleControl = new aws_native.controltower.EnabledControl("myExampleControl", {
 *     controlIdentifier: "arn:aws:controltower:us-east-2::control/EXAMPLE_NAME",
 *     targetIdentifier: "arn:aws:organizations::01234567890:ou/o-EXAMPLE/ou-zzxx-zzx0zzz2",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myExampleControl = new aws_native.controltower.EnabledControl("myExampleControl", {
 *     controlIdentifier: "arn:aws:controltower:us-east-2::control/EXAMPLE_NAME",
 *     targetIdentifier: "arn:aws:organizations::01234567890:ou/o-EXAMPLE/ou-zzxx-zzx0zzz2",
 * });
 *
 * ```
 */
class EnabledControl extends pulumi.CustomResource {
    /**
     * Get an existing EnabledControl resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new EnabledControl(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of EnabledControl.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === EnabledControl.__pulumiType;
    }
    /**
     * Create a EnabledControl resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.controlIdentifier === undefined) && !opts.urn) {
                throw new Error("Missing required property 'controlIdentifier'");
            }
            if ((!args || args.targetIdentifier === undefined) && !opts.urn) {
                throw new Error("Missing required property 'targetIdentifier'");
            }
            resourceInputs["controlIdentifier"] = args ? args.controlIdentifier : undefined;
            resourceInputs["parameters"] = args ? args.parameters : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["targetIdentifier"] = args ? args.targetIdentifier : undefined;
        }
        else {
            resourceInputs["controlIdentifier"] = undefined /*out*/;
            resourceInputs["parameters"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["targetIdentifier"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["controlIdentifier", "targetIdentifier"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(EnabledControl.__pulumiType, name, resourceInputs, opts);
    }
}
exports.EnabledControl = EnabledControl;
/** @internal */
EnabledControl.__pulumiType = 'aws-native:controltower:EnabledControl';
//# sourceMappingURL=enabledControl.js.map