import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Enables a control on a specified target.
 */
export declare function getEnabledControl(args: GetEnabledControlArgs, opts?: pulumi.InvokeOptions): Promise<GetEnabledControlResult>;
export interface GetEnabledControlArgs {
    /**
     * Arn of the control.
     */
    controlIdentifier: string;
    /**
     * Arn for Organizational unit to which the control needs to be applied
     */
    targetIdentifier: string;
}
export interface GetEnabledControlResult {
    /**
     * Parameters to configure the enabled control behavior.
     */
    readonly parameters?: outputs.controltower.EnabledControlParameter[];
    /**
     * A set of tags to assign to the enabled control.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Enables a control on a specified target.
 */
export declare function getEnabledControlOutput(args: GetEnabledControlOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEnabledControlResult>;
export interface GetEnabledControlOutputArgs {
    /**
     * Arn of the control.
     */
    controlIdentifier: pulumi.Input<string>;
    /**
     * Arn for Organizational unit to which the control needs to be applied
     */
    targetIdentifier: pulumi.Input<string>;
}
