import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EC2::VPCPeeringConnection
 */
export declare function getVpcPeeringConnection(args: GetVpcPeeringConnectionArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcPeeringConnectionResult>;
export interface GetVpcPeeringConnectionArgs {
    /**
     * The ID of the peering connection.
     */
    id: string;
}
export interface GetVpcPeeringConnectionResult {
    /**
     * The ID of the peering connection.
     */
    readonly id?: string;
    /**
     * Any tags assigned to the resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::EC2::VPCPeeringConnection
 */
export declare function getVpcPeeringConnectionOutput(args: GetVpcPeeringConnectionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcPeeringConnectionResult>;
export interface GetVpcPeeringConnectionOutputArgs {
    /**
     * The ID of the peering connection.
     */
    id: pulumi.Input<string>;
}
