import * as pulumi from "@pulumi/pulumi";
/**
 * VPC Route Server Propagation
 */
export declare class RouteServerPropagation extends pulumi.CustomResource {
    /**
     * Get an existing RouteServerPropagation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): RouteServerPropagation;
    /**
     * Returns true if the given object is an instance of RouteServerPropagation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is RouteServerPropagation;
    /**
     * Route Server ID
     */
    readonly routeServerId: pulumi.Output<string>;
    /**
     * Route Table ID
     */
    readonly routeTableId: pulumi.Output<string>;
    /**
     * Create a RouteServerPropagation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: RouteServerPropagationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a RouteServerPropagation resource.
 */
export interface RouteServerPropagationArgs {
    /**
     * Route Server ID
     */
    routeServerId: pulumi.Input<string>;
    /**
     * Route Table ID
     */
    routeTableId: pulumi.Input<string>;
}
