import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::ElastiCache::ParameterGroup
 */
export declare function getParameterGroup(args: GetParameterGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetParameterGroupResult>;
export interface GetParameterGroupArgs {
    /**
     * The name of the Cache Parameter Group.
     */
    cacheParameterGroupName: string;
}
export interface GetParameterGroupResult {
    /**
     * The name of the Cache Parameter Group.
     */
    readonly cacheParameterGroupName?: string;
    /**
     * The description for this cache parameter group.
     */
    readonly description?: string;
    /**
     * A comma-delimited list of parameter name/value pairs. For more information see ModifyCacheParameterGroup in the Amazon ElastiCache API Reference Guide.
     */
    readonly properties?: {
        [key: string]: string;
    };
    /**
     * Tags are composed of a Key/Value pair. You can use tags to categorize and track each parameter group. The tag value null is permitted.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::ElastiCache::ParameterGroup
 */
export declare function getParameterGroupOutput(args: GetParameterGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetParameterGroupResult>;
export interface GetParameterGroupOutputArgs {
    /**
     * The name of the Cache Parameter Group.
     */
    cacheParameterGroupName: pulumi.Input<string>;
}
