import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::ElastiCache::SubnetGroup
 */
export declare function getSubnetGroup(args: GetSubnetGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetSubnetGroupResult>;
export interface GetSubnetGroupArgs {
    /**
     * The name for the cache subnet group. This value is stored as a lowercase string.
     */
    cacheSubnetGroupName: string;
}
export interface GetSubnetGroupResult {
    /**
     * The description for the cache subnet group.
     */
    readonly description?: string;
    /**
     * The EC2 subnet IDs for the cache subnet group.
     */
    readonly subnetIds?: string[];
    /**
     * A tag that can be added to an ElastiCache subnet group. Tags are composed of a Key/Value pair. You can use tags to categorize and track all your subnet groups. A tag with a null Value is permitted.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::ElastiCache::SubnetGroup
 */
export declare function getSubnetGroupOutput(args: GetSubnetGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSubnetGroupResult>;
export interface GetSubnetGroupOutputArgs {
    /**
     * The name for the cache subnet group. This value is stored as a lowercase string.
     */
    cacheSubnetGroupName: pulumi.Input<string>;
}
