import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * SchemaMapping defined in AWS Entity Resolution service
 */
export declare function getSchemaMapping(args: GetSchemaMappingArgs, opts?: pulumi.InvokeOptions): Promise<GetSchemaMappingResult>;
export interface GetSchemaMappingArgs {
    /**
     * The name of the SchemaMapping
     */
    schemaName: string;
}
export interface GetSchemaMappingResult {
    readonly createdAt?: string;
    /**
     * The description of the SchemaMapping
     */
    readonly description?: string;
    readonly hasWorkflows?: boolean;
    /**
     * The SchemaMapping attributes input
     */
    readonly mappedInputFields?: outputs.entityresolution.SchemaMappingSchemaInputAttribute[];
    readonly schemaArn?: string;
    /**
     * The tags used to organize, track, or control access for this resource.
     */
    readonly tags?: outputs.Tag[];
    readonly updatedAt?: string;
}
/**
 * SchemaMapping defined in AWS Entity Resolution service
 */
export declare function getSchemaMappingOutput(args: GetSchemaMappingOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSchemaMappingResult>;
export interface GetSchemaMappingOutputArgs {
    /**
     * The name of the SchemaMapping
     */
    schemaName: pulumi.Input<string>;
}
