import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * An environment created within the EVS service
 */
export declare function getEnvironment(args: GetEnvironmentArgs, opts?: pulumi.InvokeOptions): Promise<GetEnvironmentResult>;
export interface GetEnvironmentArgs {
    environmentId: string;
}
export interface GetEnvironmentResult {
    readonly checks?: outputs.evs.EnvironmentCheck[];
    readonly createdAt?: string;
    readonly credentials?: outputs.evs.EnvironmentSecret[];
    readonly environmentArn?: string;
    readonly environmentId?: string;
    readonly environmentState?: enums.evs.EnvironmentState;
    readonly modifiedAt?: string;
    readonly stateDetails?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * An environment created within the EVS service
 */
export declare function getEnvironmentOutput(args: GetEnvironmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEnvironmentResult>;
export interface GetEnvironmentOutputArgs {
    environmentId: pulumi.Input<string>;
}
