import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * A resource schema for a List in Amazon Fraud Detector.
 */
export declare function getList(args: GetListArgs, opts?: pulumi.InvokeOptions): Promise<GetListResult>;
export interface GetListArgs {
    /**
     * The list ARN.
     */
    arn: string;
}
export interface GetListResult {
    /**
     * The list ARN.
     */
    readonly arn?: string;
    /**
     * The time when the list was created.
     */
    readonly createdTime?: string;
    /**
     * The description of the list.
     */
    readonly description?: string;
    /**
     * The elements in this list.
     */
    readonly elements?: string[];
    /**
     * The time when the list was last updated.
     */
    readonly lastUpdatedTime?: string;
    /**
     * Tags associated with this list.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The variable type of the list.
     */
    readonly variableType?: string;
}
/**
 * A resource schema for a List in Amazon Fraud Detector.
 */
export declare function getListOutput(args: GetListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetListResult>;
export interface GetListOutputArgs {
    /**
     * The list ARN.
     */
    arn: pulumi.Input<string>;
}
