"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Trigger = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::Glue::Trigger
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const onDemandJobTrigger = new aws_native.glue.Trigger("onDemandJobTrigger", {
 *     type: "ON_DEMAND",
 *     description: "DESCRIPTION_ON_DEMAND",
 *     actions: [{
 *         jobName: "prod-job2",
 *     }],
 *     name: "prod-trigger1-ondemand",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const onDemandJobTrigger = new aws_native.glue.Trigger("onDemandJobTrigger", {
 *     type: "ON_DEMAND",
 *     description: "DESCRIPTION_ON_DEMAND",
 *     actions: [{
 *         jobName: "prod-job2",
 *     }],
 *     name: "prod-trigger1-ondemand",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const scheduledJobTrigger = new aws_native.glue.Trigger("scheduledJobTrigger", {
 *     type: "SCHEDULED",
 *     description: "DESCRIPTION_SCHEDULED",
 *     schedule: "cron(0 *&#47;2 * * ? *)",
 *     actions: [
 *         {
 *             jobName: "prod-job2",
 *         },
 *         {
 *             jobName: "prod-job3",
 *             arguments: {
 *                 "--job-bookmark-option": "job-bookmark-enable",
 *             },
 *         },
 *     ],
 *     name: "prod-trigger1-scheduled",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const scheduledJobTrigger = new aws_native.glue.Trigger("scheduledJobTrigger", {
 *     type: "SCHEDULED",
 *     description: "DESCRIPTION_SCHEDULED",
 *     schedule: "cron(0 *&#47;2 * * ? *)",
 *     actions: [
 *         {
 *             jobName: "prod-job2",
 *         },
 *         {
 *             jobName: "prod-job3",
 *             arguments: {
 *                 "--job-bookmark-option": "job-bookmark-enable",
 *             },
 *         },
 *     ],
 *     name: "prod-trigger1-scheduled",
 * });
 *
 * ```
 */
class Trigger extends pulumi.CustomResource {
    /**
     * Get an existing Trigger resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Trigger(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Trigger.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Trigger.__pulumiType;
    }
    /**
     * Create a Trigger resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.actions === undefined) && !opts.urn) {
                throw new Error("Missing required property 'actions'");
            }
            if ((!args || args.type === undefined) && !opts.urn) {
                throw new Error("Missing required property 'type'");
            }
            resourceInputs["actions"] = args ? args.actions : undefined;
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["eventBatchingCondition"] = args ? args.eventBatchingCondition : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["predicate"] = args ? args.predicate : undefined;
            resourceInputs["schedule"] = args ? args.schedule : undefined;
            resourceInputs["startOnCreation"] = args ? args.startOnCreation : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["type"] = args ? args.type : undefined;
            resourceInputs["workflowName"] = args ? args.workflowName : undefined;
        }
        else {
            resourceInputs["actions"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["eventBatchingCondition"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["predicate"] = undefined /*out*/;
            resourceInputs["schedule"] = undefined /*out*/;
            resourceInputs["startOnCreation"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["type"] = undefined /*out*/;
            resourceInputs["workflowName"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["name", "type", "workflowName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Trigger.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Trigger = Trigger;
/** @internal */
Trigger.__pulumiType = 'aws-native:glue:Trigger';
//# sourceMappingURL=trigger.js.map