"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dataset = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::IoTAnalytics::Dataset
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const dataset = new aws_native.iotanalytics.Dataset("dataset", {
 *     datasetName: "SimpleSQLDataset",
 *     actions: [{
 *         actionName: "SqlAction",
 *         queryAction: {
 *             sqlQuery: "select * from Datastore",
 *         },
 *     }],
 *     triggers: [{
 *         schedule: {
 *             scheduleExpression: "cron(0 12 * * ? *)",
 *         },
 *     }],
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const dataset = new aws_native.iotanalytics.Dataset("dataset", {
 *     datasetName: "SimpleSQLDataset",
 *     actions: [{
 *         actionName: "SqlAction",
 *         queryAction: {
 *             sqlQuery: "select * from Datastore",
 *         },
 *     }],
 *     triggers: [{
 *         schedule: {
 *             scheduleExpression: "cron(0 12 * * ? *)",
 *         },
 *     }],
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const dataset = new aws_native.iotanalytics.Dataset("dataset", {
 *     datasetName: "ComplexSQLDataset",
 *     actions: [{
 *         actionName: "SqlAction",
 *         queryAction: {
 *             sqlQuery: "select * from Datastore",
 *             filters: [{
 *                 deltaTime: {
 *                     offsetSeconds: 1,
 *                     timeExpression: "timestamp",
 *                 },
 *             }],
 *         },
 *     }],
 *     triggers: [{
 *         schedule: {
 *             scheduleExpression: "cron(0 12 * * ? *)",
 *         },
 *     }],
 *     retentionPeriod: {
 *         unlimited: false,
 *         numberOfDays: 10,
 *     },
 *     tags: [
 *         {
 *             key: "keyname1",
 *             value: "value1",
 *         },
 *         {
 *             key: "keyname2",
 *             value: "value2",
 *         },
 *     ],
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const dataset = new aws_native.iotanalytics.Dataset("dataset", {
 *     datasetName: "ComplexSQLDataset",
 *     actions: [{
 *         actionName: "SqlAction",
 *         queryAction: {
 *             sqlQuery: "select * from Datastore",
 *             filters: [{
 *                 deltaTime: {
 *                     offsetSeconds: 1,
 *                     timeExpression: "timestamp",
 *                 },
 *             }],
 *         },
 *     }],
 *     triggers: [{
 *         schedule: {
 *             scheduleExpression: "cron(0 12 * * ? *)",
 *         },
 *     }],
 *     retentionPeriod: {
 *         unlimited: false,
 *         numberOfDays: 10,
 *     },
 *     tags: [
 *         {
 *             key: "keyname1",
 *             value: "value1",
 *         },
 *         {
 *             key: "keyname2",
 *             value: "value2",
 *         },
 *     ],
 * });
 *
 * ```
 */
class Dataset extends pulumi.CustomResource {
    /**
     * Get an existing Dataset resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Dataset(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Dataset.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Dataset.__pulumiType;
    }
    /**
     * Create a Dataset resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.actions === undefined) && !opts.urn) {
                throw new Error("Missing required property 'actions'");
            }
            resourceInputs["actions"] = args ? args.actions : undefined;
            resourceInputs["contentDeliveryRules"] = args ? args.contentDeliveryRules : undefined;
            resourceInputs["datasetName"] = args ? args.datasetName : undefined;
            resourceInputs["lateDataRules"] = args ? args.lateDataRules : undefined;
            resourceInputs["retentionPeriod"] = args ? args.retentionPeriod : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["triggers"] = args ? args.triggers : undefined;
            resourceInputs["versioningConfiguration"] = args ? args.versioningConfiguration : undefined;
            resourceInputs["awsId"] = undefined /*out*/;
        }
        else {
            resourceInputs["actions"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
            resourceInputs["contentDeliveryRules"] = undefined /*out*/;
            resourceInputs["datasetName"] = undefined /*out*/;
            resourceInputs["lateDataRules"] = undefined /*out*/;
            resourceInputs["retentionPeriod"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["triggers"] = undefined /*out*/;
            resourceInputs["versioningConfiguration"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["datasetName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Dataset.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Dataset = Dataset;
/** @internal */
Dataset.__pulumiType = 'aws-native:iotanalytics:Dataset';
//# sourceMappingURL=dataset.js.map