import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::IoTAnalytics::Channel
 */
export declare function getChannel(args: GetChannelArgs, opts?: pulumi.InvokeOptions): Promise<GetChannelResult>;
export interface GetChannelArgs {
    /**
     * The name of the channel.
     */
    channelName: string;
}
export interface GetChannelResult {
    /**
     * Where channel data is stored.
     */
    readonly channelStorage?: outputs.iotanalytics.ChannelStorage;
    readonly id?: string;
    /**
     * How long, in days, message data is kept for the channel.
     */
    readonly retentionPeriod?: outputs.iotanalytics.ChannelRetentionPeriod;
    /**
     * Metadata which can be used to manage the channel.
     *
     * For more information, see [Tag](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-resource-tags.html) .
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::IoTAnalytics::Channel
 */
export declare function getChannelOutput(args: GetChannelOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetChannelResult>;
export interface GetChannelOutputArgs {
    /**
     * The name of the channel.
     */
    channelName: pulumi.Input<string>;
}
