import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * An example resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getServiceProfile(args: GetServiceProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetServiceProfileResult>;
export interface GetServiceProfileArgs {
    /**
     * Service profile Id. Returned after successful create.
     */
    id: string;
}
export interface GetServiceProfileResult {
    /**
     * Service profile Arn. Returned after successful create.
     */
    readonly arn?: string;
    /**
     * Service profile Id. Returned after successful create.
     */
    readonly id?: string;
    /**
     * A list of key-value pairs that contain metadata for the service profile.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * An example resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getServiceProfileOutput(args: GetServiceProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetServiceProfileResult>;
export interface GetServiceProfileOutputArgs {
    /**
     * Service profile Id. Returned after successful create.
     */
    id: pulumi.Input<string>;
}
