import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::IVS::StorageConfiguration
 */
export declare function getStorageConfiguration(args: GetStorageConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetStorageConfigurationResult>;
export interface GetStorageConfigurationArgs {
    /**
     * Storage Configuration ARN is automatically generated on creation and assigned as the unique identifier.
     */
    arn: string;
}
export interface GetStorageConfigurationResult {
    /**
     * Storage Configuration ARN is automatically generated on creation and assigned as the unique identifier.
     */
    readonly arn?: string;
    /**
     * A list of key-value pairs that contain metadata for the asset model.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::IVS::StorageConfiguration
 */
export declare function getStorageConfigurationOutput(args: GetStorageConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStorageConfigurationResult>;
export interface GetStorageConfigurationOutputArgs {
    /**
     * Storage Configuration ARN is automatically generated on creation and assigned as the unique identifier.
     */
    arn: pulumi.Input<string>;
}
