import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::KafkaConnect::Connector
 */
export declare function getConnector(args: GetConnectorArgs, opts?: pulumi.InvokeOptions): Promise<GetConnectorResult>;
export interface GetConnectorArgs {
    /**
     * Amazon Resource Name for the created Connector.
     */
    connectorArn: string;
}
export interface GetConnectorResult {
    /**
     * The connector's compute capacity settings.
     */
    readonly capacity?: outputs.kafkaconnect.ConnectorCapacity;
    /**
     * Amazon Resource Name for the created Connector.
     */
    readonly connectorArn?: string;
    /**
     * The configuration for the connector.
     */
    readonly connectorConfiguration?: {
        [key: string]: string;
    };
    /**
     * A collection of tags associated with a resource
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::KafkaConnect::Connector
 */
export declare function getConnectorOutput(args: GetConnectorOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetConnectorResult>;
export interface GetConnectorOutputArgs {
    /**
     * Amazon Resource Name for the created Connector.
     */
    connectorArn: pulumi.Input<string>;
}
