import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Lambda::Alias
 */
export declare function getAlias(args: GetAliasArgs, opts?: pulumi.InvokeOptions): Promise<GetAliasResult>;
export interface GetAliasArgs {
    /**
     * Lambda Alias ARN generated by the service.
     */
    aliasArn: string;
}
export interface GetAliasResult {
    /**
     * Lambda Alias ARN generated by the service.
     */
    readonly aliasArn?: string;
    /**
     * A description of the alias.
     */
    readonly description?: string;
    /**
     * The function version that the alias invokes.
     */
    readonly functionVersion?: string;
    /**
     * Specifies a provisioned concurrency configuration for a function's alias.
     */
    readonly provisionedConcurrencyConfig?: outputs.lambda.AliasProvisionedConcurrencyConfiguration;
    /**
     * The routing configuration of the alias.
     */
    readonly routingConfig?: outputs.lambda.AliasRoutingConfiguration;
}
/**
 * Resource Type definition for AWS::Lambda::Alias
 */
export declare function getAliasOutput(args: GetAliasOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAliasResult>;
export interface GetAliasOutputArgs {
    /**
     * Lambda Alias ARN generated by the service.
     */
    aliasArn: pulumi.Input<string>;
}
