import * as pulumi from "@pulumi/pulumi";
/**
 * An example resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getGrant(args: GetGrantArgs, opts?: pulumi.InvokeOptions): Promise<GetGrantResult>;
export interface GetGrantArgs {
    /**
     * Arn of the grant.
     */
    grantArn: string;
}
export interface GetGrantResult {
    /**
     * Arn of the grant.
     */
    readonly grantArn?: string;
    /**
     * Name for the created Grant.
     */
    readonly grantName?: string;
    /**
     * Home region for the created grant.
     */
    readonly homeRegion?: string;
    /**
     * License Arn for the grant.
     */
    readonly licenseArn?: string;
    /**
     * The version of the grant.
     */
    readonly version?: string;
}
/**
 * An example resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getGrantOutput(args: GetGrantOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetGrantResult>;
export interface GetGrantOutputArgs {
    /**
     * Arn of the grant.
     */
    grantArn: pulumi.Input<string>;
}
