import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Macie CustomDataIdentifier resource schema
 */
export declare function getCustomDataIdentifier(args: GetCustomDataIdentifierArgs, opts?: pulumi.InvokeOptions): Promise<GetCustomDataIdentifierResult>;
export interface GetCustomDataIdentifierArgs {
    /**
     * Custom data identifier ID.
     */
    id: string;
}
export interface GetCustomDataIdentifierResult {
    /**
     * Custom data identifier ARN.
     */
    readonly arn?: string;
    /**
     * Custom data identifier ID.
     */
    readonly id?: string;
    /**
     * A collection of tags associated with a resource
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Macie CustomDataIdentifier resource schema
 */
export declare function getCustomDataIdentifierOutput(args: GetCustomDataIdentifierOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCustomDataIdentifierResult>;
export interface GetCustomDataIdentifierOutputArgs {
    /**
     * Custom data identifier ID.
     */
    id: pulumi.Input<string>;
}
