"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.OriginEndpoint = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * <p>Represents an origin endpoint that is associated with a channel, offering a dynamically repackaged version of its content through various streaming media protocols. The content can be efficiently disseminated to end-users via a Content Delivery Network (CDN), like Amazon CloudFront.</p>
 */
class OriginEndpoint extends pulumi.CustomResource {
    /**
     * Get an existing OriginEndpoint resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new OriginEndpoint(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of OriginEndpoint.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === OriginEndpoint.__pulumiType;
    }
    /**
     * Create a OriginEndpoint resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.channelGroupName === undefined) && !opts.urn) {
                throw new Error("Missing required property 'channelGroupName'");
            }
            if ((!args || args.channelName === undefined) && !opts.urn) {
                throw new Error("Missing required property 'channelName'");
            }
            if ((!args || args.containerType === undefined) && !opts.urn) {
                throw new Error("Missing required property 'containerType'");
            }
            resourceInputs["channelGroupName"] = args ? args.channelGroupName : undefined;
            resourceInputs["channelName"] = args ? args.channelName : undefined;
            resourceInputs["containerType"] = args ? args.containerType : undefined;
            resourceInputs["dashManifests"] = args ? args.dashManifests : undefined;
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["forceEndpointErrorConfiguration"] = args ? args.forceEndpointErrorConfiguration : undefined;
            resourceInputs["hlsManifests"] = args ? args.hlsManifests : undefined;
            resourceInputs["lowLatencyHlsManifests"] = args ? args.lowLatencyHlsManifests : undefined;
            resourceInputs["originEndpointName"] = args ? args.originEndpointName : undefined;
            resourceInputs["segment"] = args ? args.segment : undefined;
            resourceInputs["startoverWindowSeconds"] = args ? args.startoverWindowSeconds : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["dashManifestUrls"] = undefined /*out*/;
            resourceInputs["hlsManifestUrls"] = undefined /*out*/;
            resourceInputs["lowLatencyHlsManifestUrls"] = undefined /*out*/;
            resourceInputs["modifiedAt"] = undefined /*out*/;
        }
        else {
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["channelGroupName"] = undefined /*out*/;
            resourceInputs["channelName"] = undefined /*out*/;
            resourceInputs["containerType"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["dashManifestUrls"] = undefined /*out*/;
            resourceInputs["dashManifests"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["forceEndpointErrorConfiguration"] = undefined /*out*/;
            resourceInputs["hlsManifestUrls"] = undefined /*out*/;
            resourceInputs["hlsManifests"] = undefined /*out*/;
            resourceInputs["lowLatencyHlsManifestUrls"] = undefined /*out*/;
            resourceInputs["lowLatencyHlsManifests"] = undefined /*out*/;
            resourceInputs["modifiedAt"] = undefined /*out*/;
            resourceInputs["originEndpointName"] = undefined /*out*/;
            resourceInputs["segment"] = undefined /*out*/;
            resourceInputs["startoverWindowSeconds"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["channelGroupName", "channelName", "originEndpointName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(OriginEndpoint.__pulumiType, name, resourceInputs, opts);
    }
}
exports.OriginEndpoint = OriginEndpoint;
/** @internal */
OriginEndpoint.__pulumiType = 'aws-native:mediapackagev2:OriginEndpoint';
//# sourceMappingURL=originEndpoint.js.map