import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::Neptune::DBClusterParameterGroup resource creates a new Amazon Neptune DB cluster parameter group
 */
export declare function getDbClusterParameterGroup(args: GetDbClusterParameterGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetDbClusterParameterGroupResult>;
export interface GetDbClusterParameterGroupArgs {
    /**
     * Provides the name of the DB cluster parameter group.
     */
    name: string;
}
export interface GetDbClusterParameterGroupResult {
    /**
     * An array of parameters to be modified. A maximum of 20 parameters can be modified in a single request.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::Neptune::DBClusterParameterGroup` for more information about the expected schema for this property.
     */
    readonly parameters?: any;
    /**
     * The list of tags for the cluster parameter group.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The AWS::Neptune::DBClusterParameterGroup resource creates a new Amazon Neptune DB cluster parameter group
 */
export declare function getDbClusterParameterGroupOutput(args: GetDbClusterParameterGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDbClusterParameterGroupResult>;
export interface GetDbClusterParameterGroupOutputArgs {
    /**
     * Provides the name of the DB cluster parameter group.
     */
    name: pulumi.Input<string>;
}
