import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::NimbleStudio::LaunchProfile
 */
export declare function getLaunchProfile(args: GetLaunchProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetLaunchProfileResult>;
export interface GetLaunchProfileArgs {
    launchProfileId: string;
}
export interface GetLaunchProfileResult {
    readonly description?: string;
    readonly launchProfileId?: string;
    readonly launchProfileProtocolVersions?: string[];
    readonly name?: string;
    readonly streamConfiguration?: outputs.nimblestudio.LaunchProfileStreamConfiguration;
    readonly studioComponentIds?: string[];
}
/**
 * Resource Type definition for AWS::NimbleStudio::LaunchProfile
 */
export declare function getLaunchProfileOutput(args: GetLaunchProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLaunchProfileResult>;
export interface GetLaunchProfileOutputArgs {
    launchProfileId: pulumi.Input<string>;
}
