import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::Proton::ServiceTemplate Resource Type
 */
export declare function getServiceTemplate(args: GetServiceTemplateArgs, opts?: pulumi.InvokeOptions): Promise<GetServiceTemplateResult>;
export interface GetServiceTemplateArgs {
    /**
     * <p>The Amazon Resource Name (ARN) of the service template.</p>
     */
    arn: string;
}
export interface GetServiceTemplateResult {
    /**
     * <p>The Amazon Resource Name (ARN) of the service template.</p>
     */
    readonly arn?: string;
    /**
     * <p>A description of the service template.</p>
     */
    readonly description?: string;
    /**
     * <p>The name of the service template as displayed in the developer interface.</p>
     */
    readonly displayName?: string;
    /**
     * <p>An optional list of metadata items that you can associate with the Proton service template. A tag is a key-value pair.</p>
     *          <p>For more information, see <a href="https://docs.aws.amazon.com/proton/latest/userguide/resources.html">Proton resources and tagging</a> in the
     *         <i>Proton User Guide</i>.</p>
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::Proton::ServiceTemplate Resource Type
 */
export declare function getServiceTemplateOutput(args: GetServiceTemplateOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetServiceTemplateResult>;
export interface GetServiceTemplateOutputArgs {
    /**
     * <p>The Amazon Resource Name (ARN) of the service template.</p>
     */
    arn: pulumi.Input<string>;
}
