import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type Definition for AWS::S3Outposts::Bucket
 */
export declare function getBucket(args: GetBucketArgs, opts?: pulumi.InvokeOptions): Promise<GetBucketResult>;
export interface GetBucketArgs {
    /**
     * The Amazon Resource Name (ARN) of the specified bucket.
     */
    arn: string;
}
export interface GetBucketResult {
    /**
     * The Amazon Resource Name (ARN) of the specified bucket.
     */
    readonly arn?: string;
    /**
     * Rules that define how Amazon S3Outposts manages objects during their lifetime.
     */
    readonly lifecycleConfiguration?: outputs.s3outposts.BucketLifecycleConfiguration;
    /**
     * An arbitrary set of tags (key-value pairs) for this S3Outposts bucket.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type Definition for AWS::S3Outposts::Bucket
 */
export declare function getBucketOutput(args: GetBucketOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBucketResult>;
export interface GetBucketOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the specified bucket.
     */
    arn: pulumi.Input<string>;
}
