import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::SecretsManager::RotationSchedule
 */
export declare function getRotationSchedule(args: GetRotationScheduleArgs, opts?: pulumi.InvokeOptions): Promise<GetRotationScheduleResult>;
export interface GetRotationScheduleArgs {
    /**
     * The ARN of the secret.
     */
    id: string;
}
export interface GetRotationScheduleResult {
    /**
     * The ARN of the secret.
     */
    readonly id?: string;
    /**
     * The ARN of an existing Lambda rotation function. To specify a rotation function that is also defined in this template, use the Ref function.
     */
    readonly rotationLambdaArn?: string;
    /**
     * A structure that defines the rotation configuration for this secret.
     */
    readonly rotationRules?: outputs.secretsmanager.RotationScheduleRotationRules;
}
/**
 * Resource Type definition for AWS::SecretsManager::RotationSchedule
 */
export declare function getRotationScheduleOutput(args: GetRotationScheduleOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRotationScheduleResult>;
export interface GetRotationScheduleOutputArgs {
    /**
     * The ARN of the secret.
     */
    id: pulumi.Input<string>;
}
