import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SSM::ResourcePolicy
 */
export declare function getResourcePolicy(args: GetResourcePolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetResourcePolicyResult>;
export interface GetResourcePolicyArgs {
    /**
     * An unique identifier within the policies of a resource.
     */
    policyId: string;
    /**
     * Arn of OpsItemGroup etc.
     */
    resourceArn: string;
}
export interface GetResourcePolicyResult {
    /**
     * Actual policy statement.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::SSM::ResourcePolicy` for more information about the expected schema for this property.
     */
    readonly policy?: any;
    /**
     * A snapshot identifier for the policy over time.
     */
    readonly policyHash?: string;
    /**
     * An unique identifier within the policies of a resource.
     */
    readonly policyId?: string;
}
/**
 * Resource Type definition for AWS::SSM::ResourcePolicy
 */
export declare function getResourcePolicyOutput(args: GetResourcePolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourcePolicyResult>;
export interface GetResourcePolicyOutputArgs {
    /**
     * An unique identifier within the policies of a resource.
     */
    policyId: pulumi.Input<string>;
    /**
     * Arn of OpsItemGroup etc.
     */
    resourceArn: pulumi.Input<string>;
}
