import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::VerifiedPermissions::PolicyTemplate Resource Type
 */
export declare function getPolicyTemplate(args: GetPolicyTemplateArgs, opts?: pulumi.InvokeOptions): Promise<GetPolicyTemplateResult>;
export interface GetPolicyTemplateArgs {
    /**
     * The unique identifier of the policy store that contains the template.
     */
    policyStoreId: string;
    /**
     * The unique identifier of the new or modified policy template.
     */
    policyTemplateId: string;
}
export interface GetPolicyTemplateResult {
    /**
     * The description to attach to the new or updated policy template.
     */
    readonly description?: string;
    /**
     * The unique identifier of the new or modified policy template.
     */
    readonly policyTemplateId?: string;
    /**
     * Specifies the content that you want to use for the new policy template, written in the Cedar policy language.
     */
    readonly statement?: string;
}
/**
 * Definition of AWS::VerifiedPermissions::PolicyTemplate Resource Type
 */
export declare function getPolicyTemplateOutput(args: GetPolicyTemplateOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPolicyTemplateResult>;
export interface GetPolicyTemplateOutputArgs {
    /**
     * The unique identifier of the policy store that contains the template.
     */
    policyStoreId: pulumi.Input<string>;
    /**
     * The unique identifier of the new or modified policy template.
     */
    policyTemplateId: pulumi.Input<string>;
}
