import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Wisdom::Assistant Resource Type
 */
export declare function getAssistant(args: GetAssistantArgs, opts?: pulumi.InvokeOptions): Promise<GetAssistantResult>;
export interface GetAssistantArgs {
    /**
     * The ID of the Wisdom assistant.
     */
    assistantId: string;
}
export interface GetAssistantResult {
    /**
     * The Amazon Resource Name (ARN) of the assistant.
     */
    readonly assistantArn?: string;
    /**
     * The ID of the Wisdom assistant.
     */
    readonly assistantId?: string;
}
/**
 * Definition of AWS::Wisdom::Assistant Resource Type
 */
export declare function getAssistantOutput(args: GetAssistantOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAssistantResult>;
export interface GetAssistantOutputArgs {
    /**
     * The ID of the Wisdom assistant.
     */
    assistantId: pulumi.Input<string>;
}
