import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::WorkSpacesWeb::BrowserSettings Resource Type
 */
export declare function getBrowserSettings(args: GetBrowserSettingsArgs, opts?: pulumi.InvokeOptions): Promise<GetBrowserSettingsResult>;
export interface GetBrowserSettingsArgs {
    /**
     * The ARN of the browser settings.
     */
    browserSettingsArn: string;
}
export interface GetBrowserSettingsResult {
    /**
     * A list of web portal ARNs that the browser settings resource is associated with.
     */
    readonly associatedPortalArns?: string[];
    /**
     * A JSON string containing Chrome Enterprise policies that will be applied to all streaming sessions.
     */
    readonly browserPolicy?: string;
    /**
     * The ARN of the browser settings.
     */
    readonly browserSettingsArn?: string;
    /**
     * The tags to add to the browser settings resource. A tag is a key-value pair.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::WorkSpacesWeb::BrowserSettings Resource Type
 */
export declare function getBrowserSettingsOutput(args: GetBrowserSettingsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBrowserSettingsResult>;
export interface GetBrowserSettingsOutputArgs {
    /**
     * The ARN of the browser settings.
     */
    browserSettingsArn: pulumi.Input<string>;
}
